<?php

class WP_56_Credits extends WP_Credits {

	public function groups() {
		$groups = [
			'core-developers'         => [
				'name'    => 'Noteworthy Contributors',
				'type'    => 'titles',
				'shuffle' => false,
				'data'    => [
					'chanthaboune'        => [ 'Josepha Haden', 'Release Lead' ],
					'thewebprincess'      => [ 'Dee Teal', 'Release Lead' ],
					'helen'               => [ 'Helen Hou-Sandí', 'Release Lead' ],
					'hellofromTonya'      => 'Tonya Mork',
					'isabel_brison'       => 'Isabel Brison',
					'melchoyce'           => 'Mel Choyce-Dwan',
					'elmastudio'          => 'Ellen Bauer',
					'poena'               => 'Carolina Nymark',
					'luminuu'             => 'Jessica Lyschik',
					'm_butcher'           => 'Michele Butcher-Jones',
					'monikarao'           => 'Monika Rao',
					'sarahricker'         => 'Sarah Ricker',
					'sncoker'             => 'Shawntelle Coker',
					'karmatosed'          => 'Tammie Lister',
					'yvettesonneveld'     => 'Yvette Sonneveld',
					'laurora'             => 'Laura Nelson',
					'thelmachido'         => 'Thelma Mutete',
					'angelasjin'          => 'Angela Jin',
					'cbringmann'          => 'Chloé Bringmann',
					'francina'            => 'Francesca Marano',
					'webcommsat'          => 'Abha Thakor',
					'ellatrix'            => 'Ella van Durpe',
					'cguntur'             => 'Chandrika Guntur',
					'meher'               => 'Meher Bala',
					'Trisha_Cornelius'    => 'Trisha Cornelius',
					'planningwrite'       => 'Winstina Hughes',
					'daisyo'              => 'Daisy Olsen',
					'estelaris'           => 'Estela Rueda',
					'metalandcoffee'      => 'Ebonie Butler',
					'annezazu'            => 'Anne McCarthy',
					'SergeyBiryukov'      => 'Sergey Biryukov',
					'audrasjb'            => 'Jean-Baptiste Audras',
					'desrosj'             => 'Jonathan Desrosiers',
					'johnbillion'         => 'John Blackbourn',
					'georgestephanis'     => 'George Stephanis',
					'TimothyBlynJacobs'   => 'Timothy Jacobs',
					'ntsekouras'          => 'Nik Tsekouras',
					'youknowriad'         => 'Riad Benguella',
					'zieladam'            => 'Adam Zielinski',
					'davidbaumwald'       => 'David Baumwald',
					'JeffPaul'            => 'Jeff Paul',
					'matveb'              => 'Matias Ventura',
				],
			],
			'contributing-developers' => [
				'name'    => false,
				'type'    => 'titles',
				'shuffle' => true,
				'data'    => [
					'marybaum'            => 'Mary Baum',
					'whyisjake'           => 'Jake Spurlock',
					'Clorith'             => 'Marius Jensen',
					'nalininonstopnewsuk' => 'Nalini Thakor',
					'talldanwp'           => 'Daniel Richards',
					'Joen'                => 'Joen Asmussen',
					'azaozz'              => 'Andrew Ozz',
					'pbiron'              => 'Paul Biron',
					'justinahinon'        => 'Justin Ahinon',
					'ryelle'              => 'Kelly Dwan',
					'kjellr'              => 'Kjell Reigstad',
					'aristath'            => 'Ari Stathopoulos',
				],
			],
		];

		return $groups;
	}

	public function props() {
		return [
			'1naveengiri',
			'_luigi',
			'a5hleyrich',
			'aaribaud',
			'aaroncampbell',
			'aaronrobertshaw',
			'abderrahman',
			'abhijitrakas',
			'acosmin',
			'adamsilverstein',
			'addiestavlo',
			'adriandegrafreak',
			'adriantirusli',
			'aduth',
			'afercia',
			'afragen',
			'afshanadiya',
			'ahortin',
			'ajensen',
			'ajitbohra',
			'ajlende',
			'akabarikalpesh',
			'akirk',
			'akissz',
			'akkspro',
			'akramipro',
			'aktasfatih',
			'albertomake',
			'alexandec',
			'alexstandiford',
			'alexstine',
			'aljullu',
			'allancole',
			'alliennimmons',
			'alshakero',
			'ambienthack',
			'amolv',
			'amykamala',
			'anandau14',
			'anchenlr',
			'andraganescu',
			'andreamiddleton',
			'andy',
			'andystitt829',
			'angelasjin',
			'ankitmaru',
			'anlino',
			'annezazu',
			'antonisme',
			'antonlukin',
			'antpb',
			'anuj2',
			'anyssa',
			'apeatling',
			'apedog',
			'apermo',
			'apmatthews',
			'arcangelini',
			'archduck',
			'archon810',
			'arealnobrainer',
			'arippberger',
			'aristath',
			'arjendejong',
			'arnaudban',
			'arpitgshah',
			'asvinballoo',
			'atachibana',
			'atachibana',
			'audrasjb',
			'austin880625',
			'austyfrosty',
			'avixansa',
			'ayesh',
			'ayeshrajans',
			'azaozz',
			'azhiyadev',
			'backups',
			'baicusandrei',
			'bananastalktome',
			'barry',
			'bartczyz',
			'basscan',
			'batmoo',
			'bduclos',
			'beafialho',
			'benmeredithgmailcom',
			'bernhard-reiter',
			'bethannon1',
			'bethsoderberg',
			'bgermann',
			'bhautikvirani',
			'birgire',
			'bmcdede',
			'bmillersw',
			'bobbingwide',
			'boldgrid',
			'boniu91',
			'bookdude13',
			'boonebgorges',
			'bpayton',
			'bph',
			'bradyvercher',
			'brentswisher',
			'brianhenryie',
			'brianhogg',
			'bridgetwillard',
			'brijeshb42',
			'burhandodhy',
			'calin',
			'campusboy1987',
			'carike',
			'carloscastilloadhoc',
			'carolinegeven',
			'casiepa',
			'cawa-93',
			'cbringmann',
			'celendesign',
			'ceyhun0',
			'cfinke',
			'cguntur',
			'chadreitsma',
			'chaion07',
			'chanthaboune',
			'chaton666',
			'chetan200891',
			'chexwarrior',
			'chintan1896',
			'chipsnyder',
			'chouby',
			'chriscct7',
			'christophherr',
			'chrisvanpatten',
			'chunkysteveo',
			'circlecube',
			'claudiulodro',
			'claytoncollie',
			'clorith',
			'coffee2code',
			'collizo4sky',
			'commeuneimage',
			'computerguru',
			'contact-banker',
			'copons',
			'cpapazoglou',
			'cranewest',
			'ctmartin',
			'ctmartin0',
			'cvoell',
			'danfarrow',
			'danielbachhuber',
			'danieltj',
			'dantahoua',
			'davidanderson',
			'davidbaumwald',
			'davidbinda',
			'davidjlaietta',
			'davidszabo',
			'davilera',
			'davisshaver',
			'dd32',
			'decrecementofeliz',
			'deepaklalwani',
			'dekervit',
			'demetris',
			'denis-de-bernardy',
			'denisco',
			'desaiuditd',
			'designer023',
			'desrosj',
			'devfle',
			'dfenton',
			'dgwyer',
			'dharm1025',
			'dharmin16',
			'dhruvin',
			'dhulwells',
			'dietpawel',
			'dilipbheda',
			'dimadin',
			'dingo_d',
			'dinhtungdu',
			'djzone',
			'dkarfa',
			'dkotter',
			'dlh',
			'dmchale',
			'dogwithblog',
			'donmhico',
			'donsony',
			'dossy',
			'dpacks',
			'dratwas',
			'drewapicture',
			'dshanske',
			'dsifford',
			'dufresnesteven',
			'dushakov',
			'dushanthi',
			'dyrer',
			'earnjam',
			'ecgan',
			'ediamin',
			'eemitch',
			'elgameel',
			'ellatrix',
			'elmastudio',
			'elrae',
			'enej',
			'engahmeds3ed',
			'epiqueras',
			'erikjandelange',
			'eringoblog',
			'eroraghav',
			'estelaris',
			'etoledom',
			'fabiankaegy',
			'fabifott',
			'felipeelia',
			'ferkho',
			'fierevere',
			'fjarrett',
			'flixos90',
			'flymike',
			'folletto',
			'francina',
			'frank-klein',
			'freewebmentor',
			'fullofcaffeine',
			'gaambo',
			'gamerz',
			'garrett-eclipse',
			'garubi',
			'garyc40',
			'garyj',
			'gchtr',
			'georgestephanis',
			'geriux',
			'get_dave',
			'gkibria69',
			'glauberglauber',
			'glendaviesnz',
			'goldenapples',
			'gothickgothickorguk',
			'grapplerulrich',
			'gsayed786',
			'guidooffermans',
			'gumacahin',
			'gwendydd',
			'gziolo',
			'hakre',
			'happiryu',
			'hareesh-pillai',
			'hareshlive',
			'harrym',
			'harshbarach',
			'hazdiego',
			'hedgefield',
			'helen',
			'hellofromtonya',
			'henrywright',
			'herregroen',
			'hlashbrooke',
			'hoasi',
			'hongnizzle',
			'howdy_mcgee',
			'hvar',
			'iamfriendly',
			'iandunn',
			'ibdz',
			'icaleb',
			'ifnoob',
			'igorradovanov',
			'imath',
			'inc2734',
			'ingereck',
			'ipstenu',
			'iqbalbary',
			'ireneyoast',
			'isabel_brison',
			'isharis',
			'ismailelkorchi',
			'itowhid06',
			'itsjonq',
			'ixkaito',
			'jagirbaheshwp',
			'jamescollins',
			'jameskoster',
			'jameslnewell',
			'jamesros161',
			'jainnidhi',
			'janthiel',
			'jaredcobb',
			'jaswrks',
			'javidalkaruzi',
			'javorszky',
			'jaydeep-rami',
			'jb510',
			'jeffikus',
			'jeffmatson',
			'jeffpaul',
			'jellypixel',
			'jeremyescott',
			'jeremyfelt',
			'jeremyyip',
			'jeroenrotty',
			'jeryj',
			'jeslen',
			'jffng',
			'jfoulquier',
			'jhonqwerty',
			'jimyaghi',
			'jipmoors',
			'jnylen0',
			'joedolson',
			'joelclimbsthings',
			'joelyoder',
			'joemcgill',
			'joen',
			'johannadevos',
			'johnbillion',
			'johnjamesjacoby',
			'johnny5',
			'johnstonphilip',
			'jonathanstegall',
			'jonoaldersonwp',
			'jontyravi',
			'joostdevalk',
			'jorbin',
			'jordesign',
			'jorgefilipecosta',
			'joseaneto',
			'joshlevinson',
			'joshuatf',
			'joyously',
			'jrf',
			'jsnajdr',
			'junaidbhura',
			'justinahinon',
			'justlevine',
			'kadamwhite',
			'karmatosed',
			'karthikbhatb',
			'kasparsd',
			'kau-boy',
			'kbjohnson90',
			'kburgoine',
			'kebbet',
			'kellybleck',
			'kellychoffman',
			'kellylawrence',
			'kelsu02',
			'kevin940726',
			'khag7',
			'kharisblank',
			'kipperlenny',
			'kirilzh',
			'kishanjasani',
			'kittmedia',
			'kjbenk',
			'kjellr',
			'knutsp',
			'koke',
			'komagain',
			'kraftbj',
			'kreppar',
			'krstarica',
			'krupajnanda',
			'l3rady',
			'landau',
			'latifi',
			'laurora',
			'laxman-prajapati',
			'lcyh78',
			'leogermani',
			'leutrimh',
			'limera1n',
			'litemotiv',
			'littlebigthing',
			'llizard',
			'lmurillom',
			'louislaugesen',
			'lpointet',
			'lucagrandicelli',
			'lucasbustamante',
			'lukecavanagh',
			'luminuu',
			'lumne',
			'm-e-h',
			'm_butcher',
			'macmanx',
			'madtownlems',
			'mager19',
			'mahesh901122',
			'mailnew2ster',
			'majhajob',
			'malinajirka',
			'man4toman',
			'manzurahammed',
			'manzwebdesigns',
			'mapk',
			'marekhrabe',
			'marijnkoopman',
			'markjaquith',
			'markoheijnen',
			'markparnell',
			'marks99',
			'markscottrobson',
			'markshep',
			'marybaum',
			'matt',
			'mattchowning',
			'mattkeys',
			'mattoperry',
			'mattwiebe',
			'matveb',
			'maxpertici',
			'mayankmajeji',
			'mbabker',
			'mcsf',
			'meaganhanes',
			'megphillips91',
			'meher',
			'melchoyce',
			'metalandcoffee',
			'metodiew',
			'mgol',
			'mgrenierfarmmedia',
			'michael-arestad',
			'michelleames',
			'mihdan',
			'mikelopez',
			'mikeschroder',
			'mikeyarce',
			'milana_cap',
			'miqrogroove',
			'mista-flo',
			'mkaz',
			'mmarco9',
			'mopsyd',
			'morganestes',
			'mreishus',
			'mrgrt',
			'mrjoeldean',
			'mte90',
			'mukesh27',
			'munyagu',
			'musicaljoeker',
			'mweichert',
			'n5hzr',
			'nabilmoqbel',
			'nacin',
			'nalininonstopnewsuk',
			'nao',
			'naoki0h',
			'nateinaction',
			'nathanatmoz',
			'navanathbhosale',
			'naveenkharwar',
			'nbachiyski',
			'nendeb55',
			'newyorkerlaura',
			'nicolaskulka',
			'nicomollet',
			'nielslange',
			'nikolam',
			'njbrown',
			'nlpro',
			'noahshrader',
			'noahtallen',
			'noisysocks',
			'nosolosw',
			'nourma',
			'nrqsnchz',
			'ntsekouras',
			'oakesjosh',
			'obenland',
			'ocean90',
			'oglekler',
			'oguzkocer',
			'omarreiss',
			'onemaggie',
			'oolleegg55',
			'optimizingmatters',
			'otto42',
			'ov3rfly',
			'ovann86',
			'ovenall',
			'oxyc',
			'p00ya',
			'paaljoachim',
			'pabline',
			'paddy',
			'pankajmohale',
			'passoniate',
			'paulschreiber',
			'paulstonier',
			'pbearne',
			'pbiron',
			'pedromendonca',
			'pekz0r',
			'pentatonicfunk',
			'pento',
			'peterwilsoncc',
			'pfefferle',
			'pierlo',
			'pishmishy',
			'pkvillanueva',
			'planningwrite',
			'poena',
			'pokhriyal',
			'pputzer',
			'prashanttholia',
			'pratikkry',
			'presskopp',
			'presstoke',
			'prionkor',
			'pschrottky',
			'psealock',
			'psmits1567',
			'psykro',
			'puneetsahalot',
			'rachelbaker',
			'rajanit2000',
			'rajeshsingh520',
			'ramiy',
			'rarst',
			'raubvogel',
			'ravipatel',
			'ravivaddweb',
			'rebasaurus',
			'redstar504',
			'regankhadgi',
			'renehermi',
			'retlehs',
			'retrofox',
			'riaanlom',
			'ribaricplusplus',
			'richtabor',
			'rmccue',
			'rnaby',
			'rodrigosprimo',
			'rogerlos',
			'roikles',
			'rolfsiebers',
			'ronakganatra',
			'roo2',
			'rtagliento',
			'ryankienstra',
			'ryelle',
			'sabernhardt',
			'sabrinazeidan',
			'saeedfard',
			'salvoaranzulla',
			'salzano',
			'samful',
			'sanzeeb3',
			'saqibameen',
			'sarahricker',
			'sarayourfriend',
			'sawanoboly',
			'scarolan',
			'scribu',
			'scruffian',
			'seanpaulrasmussen',
			'sebastianpisula',
			'sebsz',
			'senning',
			'sergeybiryukov',
			'sergioestevao',
			'shamimmoeen',
			'shaunandrews',
			'shelob9',
			'shital-patel',
			'shramee',
			'sippis',
			'sirreal',
			'skithund',
			'slaffik',
			'smerriman',
			'smub',
			'snapfractalpop',
			'sncoker',
			'soean',
			'soulseekah',
			'spacedmonkey',
			'sproutchris',
			'sresok',
			'sswebster',
			'sterndata',
			'stevenlinx',
			'stoyangeorgiev',
			'stulab',
			'subscriptiongroup',
			'sudoshreyansh',
			'swissspidy',
			'szaqal21',
			't-p',
			'tacitonic',
			'tai',
			'talldanwp',
			'tanvirul',
			'techboyg5',
			'tellyworth',
			'thefarlilacfield',
			'thegp',
			'thelmachido',
			'thewebprincess',
			'thib3113',
			'thijsvanloef',
			'thomaslhotta',
			'thomasplevy',
			'thorlentz',
			'timhavinga',
			'timothyblynjacobs',
			'timotijhof',
			'tkama',
			'tmdesigned',
			'tobiasbg',
			'tobifjellner',
			'toro_unit',
			'torres126',
			'transl8or',
			'tray',
			'treibstoff',
			'trepmal',
			'tw2113',
			'twentyzerotwo',
			'tyxla',
			'tzafrir',
			'usestrict',
			'utz119',
			'uxkai',
			'valendesigns',
			'valentinbora',
			'vcanales',
			'vimes1984',
			'vinayakanivase',
			'vinita29',
			'viper007bond',
			'virgodesign',
			'vladytimy',
			'webcommsat',
			'webdevmattcrom',
			'webmandesign',
			'webmigrates',
			'webzunft',
			'welcher',
			'westonruter',
			'wetah',
			'whyisjake',
			'williampatton',
			'wittich',
			'worldweb',
			'wpamitkumar',
			'wpgurudev',
			'wppinar',
			'xknown',
			'xkon',
			'y_kolev',
			'yakimun',
			'yansern',
			'yoavf',
			'youknowriad',
			'yscik',
			'yvettesonneveld',
			'zebulan',
			'zgrkaralar',
			'zieladam',
			'zodiac1978',
		];
	}

	public function external_libraries() {
		return [
			[ 'Babel Polyfill', 'https://babeljs.io/docs/en/babel-polyfill' ],
			[ 'Backbone.js', 'http://backbonejs.org/' ],
			[ 'Class POP3', 'https://squirrelmail.org/' ],
			[ 'clipboard.js', 'https://clipboardjs.com/' ],
			[ 'Closest', 'https://github.com/jonathantneal/closest' ],
			[ 'CodeMirror', 'https://codemirror.net/' ],
			[ 'Color Animations', 'https://plugins.jquery.com/color/' ],
			[ 'getID3()', 'http://getid3.sourceforge.net/' ],
			[ 'FormData', 'https://github.com/jimmywarting/FormData' ],
			[ 'Horde Text Diff', 'https://pear.horde.org/' ],
			[ 'hoverIntent', 'http://cherne.net/brian/resources/jquery.hoverIntent.html' ],
			[ 'imgAreaSelect', 'http://odyniec.net/projects/imgareaselect/' ],
			[ 'Iris', 'https://github.com/Automattic/Iris' ],
			[ 'jQuery', 'https://jquery.com/' ],
			[ 'jQuery UI', 'https://jqueryui.com/' ],
			[ 'jQuery Hotkeys', 'https://github.com/tzuryby/jquery.hotkeys' ],
			[ 'jQuery serializeObject', 'http://benalman.com/projects/jquery-misc-plugins/' ],
			[ 'jQuery.query', 'https://plugins.jquery.com/query-object/' ],
			[ 'jQuery.suggest', 'https://github.com/pvulgaris/jquery.suggest' ],
			[ 'jQuery UI Touch Punch', 'http://touchpunch.furf.com/' ],
			[ 'json2', 'https://github.com/douglascrockford/JSON-js' ],
			[ 'Lodash', 'https://lodash.com/' ],
			[ 'Masonry', 'http://masonry.desandro.com/' ],
			[ 'MediaElement.js', 'http://mediaelementjs.com/' ],
			[ 'Moment', 'http://momentjs.com/' ],
			[ 'PclZip', 'http://www.phpconcept.net/pclzip/' ],
			[ 'PemFTP', 'https://www.phpclasses.org/package/1743-PHP-FTP-client-in-pure-PHP.html' ],
			[ 'phpass', 'http://www.openwall.com/phpass/' ],
			[ 'PHPMailer', 'https://github.com/PHPMailer/PHPMailer' ],
			[ 'Plupload', 'http://www.plupload.com/' ],
			[ 'random_compat', 'https://github.com/paragonie/random_compat' ],
			[ 'React', 'https://reactjs.org/' ],
			[ 'Redux', 'https://redux.js.org/' ],
			[ 'Requests', 'http://requests.ryanmccue.info/' ],
			[ 'SimplePie', 'http://simplepie.org/' ],
			[ 'The Incutio XML-RPC Library', 'https://code.google.com/archive/p/php-ixr/' ],
			[ 'Thickbox', 'http://codylindley.com/thickbox/' ],
			[ 'TinyMCE', 'https://www.tinymce.com/' ],
			[ 'Twemoji', 'https://github.com/twitter/twemoji' ],
			[ 'Underscore.js', 'http://underscorejs.org/' ],
			[ 'whatwg-fetch', 'https://github.com/github/fetch' ],
			[ 'zxcvbn', 'https://github.com/dropbox/zxcvbn' ],
		];
	}
}

